Error compiling juce_amalgamated on Ubuntu-9.10

7 posts / 0 new
Last post
arjunen
Offline
Last seen: 4 years 2 weeks ago
Joined: 9 Nov 2009 - 19:05
Error compiling juce_amalgamated on Ubuntu-9.10

Guys,

I am getting an error while compiling juce_amalgamated on ubuntu-9.10. It compiles fine on ubuntu-9.04. Below is the error, can you guys help me fix it.

juce_amalgamated.cpp: In member function ‘virtual juce::AudioIODevice* juce::ALSAAudioIODeviceType::createDevice(const juce::String&, const juce::String&)’:
juce_amalgamated.cpp:258676: error: invalid operands of types ‘<unresolved overloaded function type>’ and ‘int’ to binary ‘operator>=’
In file included from juce_LibrarySource.cpp:12:

Any help is appreciated.

Arjunen

arjunen
Offline
Last seen: 4 years 2 weeks ago
Joined: 9 Nov 2009 - 19:05

For time being I have disabled ALSA support and it compiles fine. But it will be nice to have JUCE library with ALSA support.

jules
Offline
Last seen: 11 hours 21 min ago
Joined: 29 Apr 2013 - 18:37

Hmm. Looks like you found a typo in the ALSA code. What I don't understand is how it ever compiled at all!

Thanks! I'll check in a fix in the next few minutes..

m4tte
Offline
Last seen: 3 years 5 months ago
Joined: 15 Nov 2009 - 13:39
linux compile error (AudioIODevice* createDevice)

Ehmm, it may be the same problem I was writing for...
Here is it.
Building the following juce version:

$ git log
commit 405d934e6839ed41aa6caf7ccedc68f3c4557e11
Author: Julian Storer <jules@BigMac.local>
Date:   Mon Nov 9 12:00:18 2009 +0000

in this environment:

$ cat /proc/version
Linux version 2.6.31-ARCH (root@architect) (gcc version 4.4.2 (GCC) ) #1 SMP PREEMPT Tue Nov 10 19:48:17 CET 2009

I have the following error:

$ make CONFIG=Release
...
juce_linux_NativeCode.cpp
In file included from ../../src/native/juce_linux_NativeCode.cpp:106:
../../src/native/linux/juce_linux_Audio.cpp: In member function ‘virtual juce::AudioIODevice* juce::ALSAAudioIODeviceType::createDevice(const juce::String&, const juce::String&)’:
../../src/native/linux/juce_linux_Audio.cpp:954: error: invalid operands of types ‘<unresolved overloaded function type>’ and ‘int’ to binary ‘operator>=’
make[1]: *** [../../bin/intermediate_linux/Release/juce_linux_NativeCode.o] Error 1
make: *** [JUCE] Error 2

That I fixed changing a line in function
'AudioIODevice* createDevice'
(juce_linux_Audio.cpp:954 , juce_amalgamated.cpp:258011)

        if (index >= 0)

to
        if (inputIndex>=0 && outputIndex>=0)

Is it a correct fix?

mat

jules
Offline
Last seen: 11 hours 21 min ago
Joined: 29 Apr 2013 - 18:37

Yes, that's the same thing. I checked in a corrected version already, so just have a look at that.

_Nkey_
Offline
Last seen: 3 years 3 months ago
Joined: 16 Jun 2008 - 17:06
Re: Error compiling juce_amalgamated on Ubuntu-9.10

Hello.

Also, it is impossible to compile last juce_amalgamated on linux with USE_XSHM = 0 (need some more @ifdefs).
Thanks.

jules
Offline
Last seen: 11 hours 21 min ago
Joined: 29 Apr 2013 - 18:37
Re: Error compiling juce_amalgamated on Ubuntu-9.10

I think I already sorted that out, (though might not have checked it in yet)